﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebDbTest02 {
  public partial class WebForm1 : System.Web.UI.Page {
    protected void Page_Load(object sender, EventArgs e) {

      SqlDataSource1.UpdateCommand =
        "UPDATE Table1 SET Name=@Name, Birthday=@Birthday WHERE Id=@Id";
      SqlDataSource1.DeleteCommand =
        "DELETE Table1 WHERE Id=@Id";
      SqlDataSource1.InsertCommand =
        "INSERT INTO Table1(Name, Birthday) VALUES (@Name, @Birthday);";

      if (IsPostBack && Page.Request.QueryString.Get("delete") == "true")
        FormView1.DeleteItem();
    }

    protected void FormView1_ItemDeleting(object sender, FormViewDeleteEventArgs e) {
      var fileName = this.GetType().BaseType.FullName;
      var startIndex = fileName.IndexOf('.') + 1;
      fileName = fileName.Substring(startIndex) + ".aspx";
      var formId = this.Form.ClientID;
      var csType = this.GetType();
      var cs = Page.ClientScript;
      var csText = "";
      var s = "データを削除しますか？";

      if (Page.Request.QueryString.Get("delete") != "true") {
        if (!cs.IsStartupScriptRegistered(csType, s))
          csText = "if(confirm('" + s + "')){ " +
            formId + ".action = '" + fileName + "?delete=true';} else {" +
            formId + ".action = '" + fileName + "?delete=false';}";
        e.Cancel = true;
      } else
        csText = formId + ".action = '" + fileName + "?delete=false';";

      csText += formId + ".submit();";
      cs.RegisterStartupScript(csType, s, csText, true);
    }
  }
}