﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="WebForm1.aspx.vb" Inherits="WebDbTest02.WebForm1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title></title>
</head>
<body>
  <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString='<%$ ConnectionStrings:Test01ConnectionString %>' SelectCommand="SELECT * FROM [Table1]"></asp:SqlDataSource>
  <form id="form1" runat="server">
    <div>
      <asp:FormView ID="FormView1" runat="server" DataKeyNames="Id"
        DataSourceID="SqlDataSource1" AllowPaging="True"
        OnItemDeleting="FormView1_ItemDeleting">
        <EditItemTemplate>
          Id:
          <asp:Label Text='<%# Eval("Id") %>' runat="server" ID="IdLabel1" /><br />
          名前:
          <asp:TextBox Text='<%# Bind("Name") %>' runat="server" ID="NameTextBox" /><br />
          生年月日:
          <asp:TextBox Text='<%# Bind("Birthday", "{0:d}")%>' runat="server" ID="BirthdayTextBox" /><br />
          <asp:LinkButton runat="server" Text="更新" CommandName="Update" ID="UpdateButton" CausesValidation="True" />&nbsp;<asp:LinkButton runat="server" Text="キャンセル" CommandName="Cancel" ID="UpdateCancelButton" CausesValidation="False" />
        </EditItemTemplate>
        <InsertItemTemplate>
          名前:
          <asp:TextBox Text='<%# Bind("Name") %>' runat="server" ID="NameTextBox" /><br />
          生年月日:
          <asp:TextBox Text='<%# Bind("Birthday", "{0:d}") %>' runat="server" ID="BirthdayTextBox" /><br />
          <asp:LinkButton runat="server" Text="挿入" CommandName="Insert" ID="InsertButton" CausesValidation="True" />&nbsp;<asp:LinkButton runat="server" Text="キャンセル" CommandName="Cancel" ID="InsertCancelButton" CausesValidation="False" />
        </InsertItemTemplate>
        <ItemTemplate>
          Id:
          <asp:Label Text='<%# Eval("Id") %>' runat="server" ID="IdLabel" /><br />
          名前:
          <asp:Label Text='<%# Bind("Name") %>' runat="server" ID="NameLabel" /><br />
          生年月日:
          <asp:Label Text='<%# Bind("Birthday", "{0:d}") %>' runat="server" ID="BirthdayLabel" /><br />

          <asp:LinkButton ID="LinkButton1" runat="server"
            CommandName="Edit">編集</asp:LinkButton>
          <asp:LinkButton ID="LinkButton2" runat="server"
            CommandName="Delete">削除</asp:LinkButton>
          <asp:LinkButton ID="LinkButton3" runat="server"
            CommandName="New">新規</asp:LinkButton>
        </ItemTemplate>
        <PagerSettings Position="Top" />
      </asp:FormView>
    </div>
  </form>
</body>
</html>
