﻿Public Class WebForm1
  Inherits System.Web.UI.Page

  Protected Sub Page_Load(ByVal sender As Object,
    ByVal e As System.EventArgs) Handles Me.Load

    SqlDataSource1.UpdateCommand =
      "UPDATE Table1 SET Name=@Name, Birthday=@Birthday WHERE Id=@Id"
    SqlDataSource1.DeleteCommand =
      "DELETE Table1 WHERE Id=@Id"
    SqlDataSource1.InsertCommand =
      "INSERT INTO Table1(Name, Birthday) VALUES (@Name, @Birthday);"

    If IsPostBack AndAlso
      Page.Request.QueryString.Get("delete") =
      "true" Then FormView1.DeleteItem()
  End Sub

  Protected Sub FormView1_ItemDeleting(sender As Object,
    e As FormViewDeleteEventArgs)

    Dim fileName = Me.GetType.BaseType.FullName
    Dim startIndex = fileName.IndexOf("."c) + 1
    fileName = fileName.Substring(startIndex) & ".aspx"
    Dim formId = Me.Form.ClientID
    Dim csType As Type = Me.GetType()
    Dim cs = Page.ClientScript
    Dim csText = ""
    Dim s = "データを削除しますか？"

    If Page.Request.QueryString.Get("delete") <> "true" Then
      If Not cs.IsStartupScriptRegistered(csType, s) Then
        csText =
          "if(confirm('" & s & "')){ " &
          formId & ".action = '" & fileName & "?delete=true';} else {" &
          formId & ".action = '" & fileName & "?delete=false';}"
      End If
      e.Cancel = True
    Else
      csText = formId & ".action = '" & fileName & "?delete=false';"
    End If

    csText &= formId & ".submit();"
    cs.RegisterStartupScript(csType, s, csText, True)
  End Sub
End Class
